Page MenuHomePhabricator

[Tool Labs] Database credential file replica.my.cnf missing in my home directory on Tool Labs (/home/wiki13).
Closed, ResolvedPublic

Description

Pretty much title. Somehow I seem to miss my database credential file in my home directory, so I have no way to access the replica databases. I'm completely sure I didn't delete the file on accident. For as far I can recall it has never has been there in the first place.

To resolve this task:

  1. On labstore, run /usr/local/sbin/delete-dbuser --config /etc/create-dbusers.yaml u2786.
  2. Check that after five minutes sudo sudo -iu wiki13 sql enwiki_p works.

Event Timeline

Wiki13 created this task.Dec 30 2015, 3:52 PM
Wiki13 raised the priority of this task from to Needs Triage.
Wiki13 updated the task description. (Show Details)
Wiki13 added a project: Toolforge.
Wiki13 added a subscriber: Wiki13.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptDec 30 2015, 3:52 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Wiki13 closed this task as Invalid.Dec 30 2015, 4:07 PM
Wiki13 set Security to None.

Invalid. Asked about this on IRC, and personal accounts are not used for database access anymore (you should use tool accounts for this for what I have been told). Documention on Wikitech (https://wikitech.wikimedia.org/wiki/Help:Tool_Labs/Database) should be updated to reflect this.

valhallasw reopened this task as Open.Dec 30 2015, 5:01 PM
valhallasw added a subscriber: valhallasw.

I'm pretty sure users are supposed to have a replica.my.cnf. For what it's worth, recently-added new tools users do have one, so I'm pretty sure you also should have one.

Youni added a subscriber: Youni.Jan 29 2016, 2:01 PM

Hello, i'm new lab user. It seems to be something wrong with my /home/y-verciti/replica.my.cnf. I first get a replica file from my tools.vocabulary-index account than copy it to my y-verciti account. It seems that the user will act with a bad id so people from irc.wikimedia.labs told me to ask you for reseting.

scfc updated the task description. (Show Details)Jun 20 2016, 10:02 PM
yuvipanda closed this task as Resolved.Jul 5 2016, 1:37 PM
yuvipanda claimed this task.

It's present now. Apologies for the late response!